package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ProductCommentImage;


/**
*  service接口类
*/
public interface ProductCommentImageService{

    List<ProductCommentImage> getProductCommentImageList(ProductCommentImage record);

    List<ProductCommentImage> getProductCommentImageByPage(Page page, ProductCommentImage record);

    ProductCommentImage getProductCommentImageById(String id);

    ProductCommentImage getProductCommentImage(ProductCommentImage record);

    boolean createProductCommentImage(ProductCommentImage record);

    boolean deleteProductCommentImage(String id);

    boolean updateProductCommentImage(ProductCommentImage record);
}

